Gemini
This section lists the implemented endpoints under this capability.
Gemini image generation (Nano Banana)
POST /v1beta/models/{model}:generateContent
Gemini image generation endpoint.
Authentication
- Bearer Token (
Authorization: Bearer <token>)
Parameters
| Name |
In |
Type |
Required |
Description |
| model |
path |
string |
yes |
Model name |
Request Body
- Content-Type:
application/json
| Field |
Type |
Required |
Description |
| contents |
array[object] |
yes |
- |
| generationConfig |
object |
yes |
- |
Responses
| Status |
Description |
Schema |
| 200 |
Success |
GeminiResponse |
Gemini embeddings
POST /v1/engines/{model}/embeddings
Create embeddings with the specified engine or model.
Authentication
- Bearer Token (
Authorization: Bearer <token>)
Parameters
| Name |
In |
Type |
Required |
Description |
| model |
path |
string |
yes |
Model or engine ID |
Request Body
- Content-Type:
application/json
- Schema:
EmbeddingRequest
| Field |
Type |
Required |
Description |
| model |
string |
yes |
- |
| input |
- |
yes |
Text to embed |
| encoding_format |
string |
no |
- |
| dimensions |
integer |
no |
Output vector dimensions |
Responses
| Status |
Description |
Schema |
| 200 |
Embeddings created successfully |
EmbeddingResponse |